﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Chart;

namespace ScatterChart_ConvertTicksToDateTime
{
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            this.XamChart1.Legend.Visible = false;


            //*** Create X Axis, and set the Min/Max and Range.
            Axis x1 = new Axis();
            x1.AxisType = AxisType.PrimaryX;
            x1.AutoRange = true;


            x1.Minimum = 633011240000000000;
            x1.Maximum = 633019240000000000;
            x1.Unit = 1;
            x1.Label.Angle = -45;
            x1.Label.Format = "{0:dd-MMM-yyyy}";


            //*** Ticks To DateTime Converter
            TicksToDateTimeConverter date = new TicksToDateTimeConverter();


            //*** Create Y Axis, and set the Min/Max and Range.
            Axis y1 = new Axis();
            y1.AxisType = AxisType.PrimaryY;
            y1.AutoRange = false;
            y1.Minimum = 1;
            y1.Maximum = 7;
            y1.Unit = 1;


            //*** Add X/Y axis to the chart
            this.XamChart1.Axes.Add(x1);
            this.XamChart1.Axes.Add(y1);


            //*** Create Series
            Series ser1 = new Series();
            ser1.ChartType = ChartType.Scatter;
            this.XamChart1.Series.Add(ser1);


            //*** Create DataPoints (DateTime/Double) for ScatterChart
            DataPoint dp1 = new DataPoint();
            dp1.Fill = Brushes.Red;
            dp1.ChartParameters.Add(ChartParameterType.ValueX, //"2/1/2008");
                (DateTime)Convert.ToDateTime(date.Convert(null, typeof(DateTime), 633011240000000000, System.Globalization.CultureInfo.CurrentCulture)));
            dp1.ChartParameters.Add(ChartParameterType.ValueY, 5);
            ser1.DataPoints.Add(dp1);


            DataPoint dp2 = new DataPoint();
            dp2.Fill = Brushes.Blue;
            dp2.ChartParameters.Add(ChartParameterType.ValueX, //"5/1/2008");
                (DateTime)Convert.ToDateTime(date.Convert(null, typeof(DateTime), 633013240000000000, System.Globalization.CultureInfo.CurrentCulture)));
            dp2.ChartParameters.Add(ChartParameterType.ValueY, 3);
            ser1.DataPoints.Add(dp2);


            DataPoint dp3 = new DataPoint();
            dp3.Fill = Brushes.Green;
            dp3.ChartParameters.Add(ChartParameterType.ValueX, //"10/1/2008");
                (DateTime)Convert.ToDateTime(date.Convert(null, typeof(DateTime), 633015240000000000, System.Globalization.CultureInfo.CurrentCulture)));
            dp3.ChartParameters.Add(ChartParameterType.ValueY, 4);
            ser1.DataPoints.Add(dp3);
        }
    }
}
